class LocalManifest.ProfilerModule.Association extends ManifestBase.Values
  
  set_default: () ->
    super()
    @values['belongs_to'] ||= []
    @values['has_many'] ||= []
    @values['has_one'] ||= []
    
  init: () ->
    super()
    @belongs_to = ManifestBase.load_names this, @values, 'belongs_to', LocalManifest.ProfilerModule.AssociationModule.BelongsTo
    @has_many = ManifestBase.load_names this, @values, 'has_many', LocalManifest.ProfilerModule.AssociationModule.HasMany
    @has_one = ManifestBase.load_names this, @values, 'has_one', LocalManifest.ProfilerModule.AssociationModule.HasOne
  
  profiler: () ->
    @parent
  
  profiler_name: () ->
    @parent.name
  
  constructor: (parent, json, module_name) ->
    super(parent, json, module_name)
    
class LocalManifest.ProfilerModule.AssociationModule

