#
#   new Footer.Footer(item, this, {
#     edit: {
#       click: () =>
#         ...
#     }
#   })
#
#
#   new Footer.Footer(null, this, {
#     edit: {
#       item: item1,
#       dic_name: 'translation.key',
#       click: () =>
#         ...
#     }
#   })
class Pettanr.View.Show.Footer.Footer extends Pettanr.View
  tagName: 'div'
  className: 'show-owner-footer'
  
  constructor: (@item, @context, options) ->
    super(options)
  
  initialize: (options) ->
    @buttons = []
    _.each options, (setting, action) =>
      setting.context ||= @context
      i = @item || setting.item
      @buttons.push(new Pettanr.View.Button.ItemAction(i, action, setting))
  
  render: () ->
    this.$el.html('')
    _.each @buttons, (button) =>
      this.$el.append(button.render().el)
    this
  
