class Editor.EditorModule.DockModule.RootBay extends Editor.EditorModule.DockModule.SimpleBay
  
  render: () ->
    @body.render()
  
  save_data: () ->
    @body.form.save_data()
  
class Editor.EditorModule.DockModule.TabModule.RootBayLabel extends Editor.EditorModule.DockModule.TabModule.BayLabel
  
class Editor.EditorModule.DockModule.TabModule.RootBayBody extends Editor.EditorModule.DockModule.TabModule.BayBody
  
  initialize: (options) ->
    super(options)
    @form = Locmare.Form.factory({
      form_name: @root_item().item_name(), 
      use_name: 'default' 
      item: @root_item(), 
      submit: 'default' 
    })
    @listenTo(@form, 'http_post', @http_post)
    @listenTo(@form, 'success', @post_success)
    @listenTo(@form, 'fail', @post_fail)
  
  render: () ->
    super()
    @el.className = @bay().body.dom_class()
    this.$el.html(@form.render().el)
    this
  
  mounted: () ->
    true
  
  dock: () ->
    @parent.dock()
  
  root_item: () ->
    @dock().root_item()
  
  http_post: (url, root_form) ->
    @trigger('http_post', url, root_form)
    false
  
  post_success: (model, response) ->
    @trigger('save:success', model, response)
  
  post_fail: (model, response) ->
    @trigger('save:fail', response)
  
