class Locmare.FormModule.FieldModule.TagFactory
  @types: () ->
    {
      text: Locmare.FormModule.FieldModule.TagModule.TextTag, 
      number: Locmare.FormModule.FieldModule.TagModule.NumberTag, 
      text_area: Locmare.FormModule.FieldModule.TagModule.TextAreaTag, 
      select: Locmare.FormModule.FieldModule.TagModule.SelectTag, 
      hidden: Locmare.FormModule.FieldModule.TagModule.HiddenTag,
      file: Locmare.FormModule.FieldModule.TagModule.FileTag
    }
  
  @factory: (field, my_manifest) ->
    type = my_manifest.type
    my_class = @types()[type]
    console.log "undefined class for local view forms > #{field.form_name} > fields > #{field.field_name} > tag > #{type}\n" if not my_class
    new my_class({field: field, tag_manifest: my_manifest})
  
class Locmare.FormModule.FieldModule.TagModule
