class Peta.Content extends Peta.Item
  # Dynamic Methods
  
  # Class Methods
  @is_content: () ->
    @my_class().my_manifest().content_model()
  
  @owner_type: () ->
    @my_class().my_manifest().owner_type()
  
  @owner_model: () -> 
    @parent_model()
  
  @owner_column: () ->
    @owner_type().toString() + '_id'
  
  # Instance Methods
  
  # Class Methods
  
  @operator: (operators) ->
    return null if not @owner_type()
    operators[@owner_type()]
  
  # Instance Methods
  
  owner_model: () ->
    if @my_class().owner_model()
      this[@my_class().owner_model().item_name()]()
    else
      this
  
  # super return if my item
  is_visible: (operators = Pettanr.cache.operators) ->
    super(operators)
    return null if @owner_model().is_own(operators)
    true
  
  is_own: (operators = Pettanr.cache.operators) ->
    operator = @my_class().operator(operators)
    return false if not operator
    @owner_model().get(@my_class().owner_column()) == operator.id
  
  authored_by: (options) ->
    new Pettanr.View.Show.AuthoredBy(this, options)
  
  @test: () ->
    super()
    console.log(@is_content())
    console.log(@owner_type())
    console.log(@owner_model())
    console.log(@owner_column())
    console.log()
  
  test: () ->
    super()
    console.log()
  
